IntlCalendar::isSet
IntlCalendar::roll
IntlCalendar
PHP Manual

# IntlCalendar::isWeekend

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::isWeekend — Whether a certain date/time is in the weekend

### Description

public bool IntlCalendar::isWeekend ([ float `$date` = NULL ] )

Returns whether either the obejctʼs current time or the provided timestamp occur during a weekend in this objectʼs calendar system.

### Parameters

`date`

  An optional timestamp representing the number of milliseconds since the epoch, excluding leap seconds. If `NULL`, this objectʼs current time is used instead.

### Return Values

A bool indicating whether the given or this objectʼs time occurs in a weekend.

The value `FALSE` may also be returned on failure, for instance after giving a date out of bounds on non-lenient mode; use exceptions or query intl_get_error_code() to disambiguate.

### Examples

Example #1 IntlCalendar::isWeekend()

`<?php
ini_set('date.timezone', 'Europe/Lisbon');
$cal = new IntlGregorianCalendar(NULL, 'en_US');
$cal->set(2013, 6 /* July */, 7); // a Sunday
var_dump($cal->isWeekend()); // true
var_dump($cal->isWeekend(strtotime('2013-07-01 00:00:00'))); // false, Monday
$cal = new IntlGregorianCalendar(NULL, 'ar_SA');
$cal->set(2013, 6 /* July */, 7); // a Sunday
var_dump($cal->isWeekend()); // false, Sunday not in weekend in this calendar`

### See Also

- IntlCalendar::getDayOfWeekType() - Tell whether a day is a weekday, weekend or a day that has a transition between the two
- IntlCalendar::getWeekendTransition() - Get time of the day at which weekend begins or ends

IntlCalendar::isSet
IntlCalendar::roll
IntlCalendar
PHP Manual